@import 'libs/shared/assets/src/global-style/variable';

.action-breadcrumb-float-right {
  display: flex;
  position: fixed;
  right: 25px;
  top: 130px;
}

nz-page-header {
  padding-top: 0;
  padding-bottom: 0;
  .mergeButton {
    background-color: $white-color;
    border: none;
    font-weight: 600;
  }
}

.card-header {
  &__rangeDateTitle {
    color: $label-color;
    font-size: 14px;
    font-family: avertaB, sans-serif;
  }

  &__rangeDate {
    width: 100%;
    margin-top: 4px;
    height: 42px;
    border-radius: 8px;
  }

  .emp-infoTitle {
    color: $label-color;
    font-size: 14px;
    font-family: avertaB, sans-serif;
  }

  &__btnGroup {
    margin-top: 15px;
    .search-btn {
      background-color: $active-status-invisibile;
      font-weight: 700;
      border: none;
    }

    .expand-btn {
      border-radius: 8px;
      margin-left: 15px;
    }
  }

  &__proposeCheckbox {
    margin-top: 30px;
  }
}

::ng-deep .excelIcon {
  height: 12px;
}

.calendar {
  font-size: 15px;
  margin-left: 0;
}

.effectiveDate {
  margin-left: 10px;
}

:host {
  ::ng-deep .checkbox-table {
    .ant-checkbox-disabled.ant-checkbox-checked {
      .ant-checkbox-inner {
        background-color: $bg-primary-default;
        border-color: $bg-primary-default !important;

        &::after {
          border-color: $bg-gray-input;
        }
      }
    }
  }
}